/**
 * @file
 * Icon select javascript behaviours
 */

(function (Drupal, window, document) {
  'use strict';

  Drupal.behaviors.icon_select_frontend = {
    attach: function (context, settings) {

      settings.icon_select = settings.icon_select || drupalSettings.icon_select;

      var xhr = new XMLHttpRequest();
      xhr.open('get', settings.icon_select.icon_select_url, true);
      xhr.onreadystatechange = function () {
        if (xhr.readyState !== 4) {
          return;
        }
        var svg = xhr.responseXML.documentElement;
        svg = document.importNode(svg, true);
        document.body.appendChild(svg);
      };

      xhr.send();
    }
  };

})(Drupal, this, this.document);
